View Issue Details

IDProjectCategoryView StatusLast Update
0002533PartDesignBugpublic2016-07-15 12:18
ReporterickbyAssigned Toickby 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformallOSallOS Versionall
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002533: Loft works even with no active body
Descriptionall PartDesign features should only work when an active body is available where they are added to. Currently if no active body is present and one uses body sketches for a loft it works and the loft is placed outside of the body.

Steps To Reproduce1. Create body with 2 sketches that can be used for a loft
2. Save file and close it
3. Open file again
4. Select sketches and start creation of the Loft
TagsNo tags attached.

Activities

poserge

2016-07-12 04:16

reporter   ~0007184

I've made a pull request to fix this
https://github.com/FreeCAD/FreeCAD/pull/211

poserge

2016-07-13 03:52

reporter   ~0007185

Another try to fix loft and some other commands
https://github.com/FreeCAD/FreeCAD/pull/213

Related Changesets

FreeCAD: master 9f0db2d9

2016-07-13 05:18:01

poserge


Committer: wmayer Details Diff
refuse to create partdesign objects if no active body in document Affected Issues
0002533
mod - src/Mod/PartDesign/Gui/Command.cpp Diff File

Issue History

Date Modified Username Field Change
2016-04-29 09:22 ickby New Issue
2016-04-29 09:22 ickby Status new => assigned
2016-04-29 09:22 ickby Assigned To => ickby
2016-07-12 04:16 poserge Note Added: 0007184
2016-07-13 03:52 poserge Note Added: 0007185
2016-07-15 12:18 wmayer Changeset attached => FreeCAD Master master 9f0db2d9
2016-07-15 12:18 wmayer Status assigned => closed
2016-07-15 12:18 wmayer Resolution open => fixed
2016-07-15 12:18 wmayer Fixed in Version => 0.17